#include "avr/pgmspace.h" 
#include "Charliplexing.h"

PROGMEM const uint16_t BitMap[9] = {0, 0, 320, 672, 544, 544, 320, 128, 0};
unsigned long data; 

void setup(){
  LedSign::Init();
}

void loop(){ 
  for(int line = 0; line < 9; line++) {
    // get line
    data = pgm_read_word_near (&BitMap[line]);
    // turn correct LEDs on
    for (byte led=0; led<14; ++led){
      if (data & (1<<led)){
        LedSign::Set(led, line, 1);
      }
      else{
        LedSign::Set(led, line, 0);
      }
    }
  }


